> ## Documentation Index
> Fetch the complete documentation index at: https://cal.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get booking references

> Required membership role: `team admin`. PBAC permission: `booking.readTeamBookings`. Learn more about API access control at https://cal.com/docs/api-reference/v2/access-control. If accessed using an OAuth access token, the `TEAM_BOOKING_READ` scope is required.



## OpenAPI

````yaml /api-reference/v2/openapi.json get /v2/organizations/{orgId}/teams/{teamId}/bookings/{bookingUid}/references
openapi: 3.0.0
info:
  title: Cal.com API v2
  description: ''
  version: 1.0.0
  contact: {}
servers: []
security: []
tags: []
paths:
  /v2/organizations/{orgId}/teams/{teamId}/bookings/{bookingUid}/references:
    get:
      tags:
        - Orgs / Teams / Bookings
      summary: Get booking references
      description: >-
        Required membership role: `team admin`. PBAC permission:
        `booking.readTeamBookings`. Learn more about API access control at
        https://cal.com/docs/api-reference/v2/access-control. If accessed using
        an OAuth access token, the `TEAM_BOOKING_READ` scope is required.
      operationId: OrganizationsTeamsBookingsController_getBookingReferences
      parameters:
        - name: Authorization
          in: header
          description: >-
            For non-platform customers - value must be `Bearer <token>` where
            `<token>` is api key prefixed with cal_
          required: false
          schema:
            type: string
        - name: x-cal-secret-key
          in: header
          description: For platform customers - OAuth client secret key
          required: false
          schema:
            type: string
        - name: x-cal-client-id
          in: header
          description: For platform customers - OAuth client ID
          required: false
          schema:
            type: string
        - name: bookingUid
          required: true
          in: path
          schema:
            type: string
        - name: type
          required: false
          in: query
          description: Filter booking references by type
          schema:
            example: google_calendar
            enum:
              - google_calendar
              - office365_calendar
              - daily_video
              - google_video
              - office365_video
              - zoom_video
            type: string
        - name: teamId
          required: true
          in: path
          schema:
            type: number
        - name: orgId
          required: true
          in: path
          schema:
            type: number
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BookingReferencesOutput_2024_08_13'
components:
  schemas:
    BookingReferencesOutput_2024_08_13:
      type: object
      properties:
        status:
          type: string
          description: The status of the request, always 'success' for successful responses
          example: success
          enum:
            - success
            - error
        data:
          description: Booking References
          type: array
          items:
            $ref: '#/components/schemas/BookingReference'
      required:
        - status
        - data
    BookingReference:
      type: object
      properties:
        type:
          type: string
          description: The type of the booking reference
        eventUid:
          type: string
          description: The event uid of the booking
        destinationCalendarId:
          type: string
          nullable: true
          description: The id of the calendar the event is created in
        id:
          type: number
          description: The id of the booking reference
      required:
        - type
        - eventUid
        - destinationCalendarId
        - id

````